Subject: Re: [bug#28933] [PATCH] gnu: glibc: Fix CVE-2017-15670, CVE-2017-15671.
From: Marius Bakke <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: "Mark H. Weaver" <[email-masked]>, [email-masked]
Date: Sun, 22 Oct 2017 23:15:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> writes:

> Leo Famulari <[email-masked]> writes:
>
>> On Sat, Oct 21, 2017 at 11:17:32PM +0200, Marius Bakke wrote:
>>> * gnu/packages/patches/glibc-CVE-2017-15670-15671.patch: New file.
>>> * gnu/local.mk (dist_patch_DATA): Register it.
>>> * gnu/packages/base.scm (glibc/linux)[replacement]: New field.
>>> (glibc/fixed): New variable.
>>
>> Thanks!
>>
>> Do you think we need to do anything special with the glibc packages
>> besides glibc/linux, such as glibc/hurd, glibc-2.24, etc?
>
> It probably should be picked to the earlier glibcs as well, IIRC the
> affected code was from 1997.  I'll try this and amend the patch.

Pushed to master as 60e29339d8389e678bb9ca4bd3420ee9ee88bdf2.